classification
Title: Add "versionchanged" to memoryview docs
Type: enhancement Stage: needs patch
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, ncoghlan, python-dev, skrah
Priority: normal Keywords: patch

Created on 2012-08-19 11:53 by skrah, last changed 2012-09-09 09:18 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue15724.diff skrah, 2012-08-25 12:32 review
Messages (6)
msg168563 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-08-19 11:53
There are a couple of places in the memoryview docs that still
need a "versionchanged" tag.

Other places might need explanations what exactly has changed.
msg168626 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-08-20 06:59
Just a heads up that I'm about to check in a fairly major change to the sequence docs layout. I'm leaving the memoryview block alone, so hopefully this won't cause you any problems, but there's going to be a merge in your future :)
msg168675 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-08-20 16:07
Thanks for the warning. I see you've already committed, so my natural
inertia has protected me from additional merge work. :)
msg169131 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-08-25 12:32
This was less work than expected. I suppose docs can always go in
even after rc1 is out, so I'll wait for that.
msg169446 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-08-30 10:14
New changeset 34e8c06f7e55 by Stefan Krah in branch 'default':
Issue #15724: Add versionchanged tags to the memoryview documentation.
http://hg.python.org/cpython/rev/34e8c06f7e55
msg170084 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-09 09:18
New changeset 144d649764cf by Stefan Krah in branch 'default':
Issue #15724: Add versionchanged tags to the memoryview documentation.
http://hg.python.org/cpython/rev/144d649764cf
History
Date User Action Args
2012-09-09 09:18:52python-devsetmessages: + msg170084
2012-08-30 10:43:32skrahsetstatus: open -> closed
resolution: fixed
2012-08-30 10:14:32python-devsetnosy: + python-dev
messages: + msg169446
2012-08-25 12:32:21skrahsetfiles: + issue15724.diff
keywords: + patch
messages: + msg169131
2012-08-20 16:07:25skrahsetmessages: + msg168675
2012-08-20 06:59:26ncoghlansetnosy: + ncoghlan
messages: + msg168626
2012-08-19 11:53:41skrahcreate